<tables>
    <!-- from data_manager_fetch_genome_dbkeys_all_fasta -->
    <!-- Locations of all fasta files under genome directory -->
    <table comment_char="#" name="all_fasta">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/all_fasta_dbkeys.loc" />
    </table>
    <!-- Locations of dbkeys and len files under genome directory -->
    <table comment_char="#" name="__dbkeys__">
        <columns>value, name, len_path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/dbkeys.loc" />
    </table>
    <!-- from data_manager_fetch_genome_all_fasta -->
    <!-- Locations of all fasta files under genome directory -->
    <table name="all_fasta" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/all_fasta.loc" />
    </table>
    <!-- from data_manager_twobit_builder -->
    <table comment_char="#" name="alignseq_seq">
        <columns>type, value, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/alignseq.loc" />
    </table>
    <!-- from data_manager_twobit_builder -->
    <table comment_char="#" name="twobit">
        <columns>value, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/twobit.loc" />
    </table>
    <!-- from data_manager_twobit_builder -->
    <!-- Locations of 2bit sequence files for use in Lastz -->
    <table comment_char="#" name="lastz_seqs">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/lastz_seqs.loc" />
    </table>
    <!-- from data_manager_bowtie2_index_builder -->
    <!-- Locations of indexes in the Bowtie2 mapper format -->
    <table comment_char="#" name="bowtie2_indexes">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/bowtie2_indices.loc" />
    </table>
    <!-- from data_manager_bowtie2_index_builder -->
    <!-- Locations of indexes in the Bowtie2 mapper format for TopHat2 to use -->
    <table comment_char="#" name="tophat2_indexes">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/tophat2_indices.loc" />
    </table>
    <!-- from data_manager_hisat2_index_builder -->
    <!-- Locations of indexes in the hisat mapper format -->
    <table name="hisat2_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/hisat2_indexes.loc" />
    </table>
    <!-- from data_manager_bwa_mem_index_builder -->
    <!-- Locations of indexes in the BWA mapper format for BWA versions 0.6 and higher including BWA MEM and ALN-->
    <table name="bwa_mem_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/bwa_mem_index.loc" />
    </table>
    <!-- from data_manager_sam_fasta_index_builder -->
    <table name="fasta_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/fasta_indexes.loc" />
    </table>
    <!-- from data_manager_picard_index_builder -->
    <!-- Locations of indexes in the Picard dict format -->
    <table name="picard_indexes" comment_char="#">
        <columns>value, dbkey, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/picard_index.loc" />
    </table>
    <!-- from data_manager_build_kraken_database -->
    <!-- Locations of Kraken database in the required format -->
    <table name="kraken_databases" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/kraken_databases.loc" />
    </table>
    <!-- from data_manager_fetch_ncbi_taxonomy -->
    <!-- Locations of taxonomy data downloaded from NCBI -->
    <table name="ncbi_taxonomy" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/ncbi_taxonomy.loc" />
    </table>
    <!-- dbkey length files for UCSC builds -->
    <table comment_char="#" name="__dbkeys__">
        <columns>value, name, len_path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/dbkeys_ucsc.loc" />
    </table>
    <!-- from data_manager_star_index_builder -->
    <!-- Locations of indexes in the BWA mapper format -->
    <!-- NOTE: last column changed from withGTF to with-gtf to match the rgrnastar tool's data table entry -->
    <table allow_duplicate_entries="False" comment_char="#" name="rnastar_index2">
        <columns>value, dbkey, name, path, with-gtf</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/rnastar_index2.loc" />
    </table>
    <!-- from data_manager_picard_index_builder -->
    <!-- Locations of indexes in the Picard dict format -->
    <table name="plant_tribes_scaffolds" comment_char="#">
        <columns>value, name, path, description</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/plant_tribes_scaffolds.loc" />
    </table>
    <!-- from data_manager_fetch_index_maf -->
    <!-- Locations of UCSC multiple alignments indexed with bx-python -->
    <table name="maf_indexes" comment_char="#">
        <columns>name, value, indexed_for, exists_in_maf, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/maf_indexes.loc" />
    </table>
    <!-- from data_manager_star_index_builder -->
    <!-- Locations of genomes indexed for RNASTAR -->
    <table name="rnastar_index2x_versioned" comment_char="#" allow_duplicate_entries="False">
        <columns>value, dbkey, name, path, with_gene_model, version</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/rnastar_index2x_versioned.loc" />
    </table>
    <!--<table name="kraken2_databases" comment_char="#">
        <columns>value, name, path</columns>
        <file path="{{ cvmfs_tool_data_local_path }}/managed/location/kraken2_databases.loc" />
    </table>-->
</tables>
